CHARTOEXPR(3)

NAME
charToExpr - converts a string into an expression

SYNOPSYS
#include "logmmm.h"
chain_list *charToExpr(stringExpr)
char *stringExpr;

PARAMETERS

stringExpr
    String to convert.

DESCRIPTION
charToExpr() converts stringExpr into an expression.

EXAMPLE
#include "mutnnn.h"		/* mbk utilities */
#include "logmmm.h"
displayExpr(charToExpr("(nor a (and b c))"));
displayInfExpr(charToExpr("(nor a (and b c))"));
/* it will display
(nor a (and b c))
(a nor (b and c))
*/

SEE ALSO
log(1), abl(1), exprToChar(3), displayExpr(3), displayInfExpr(3), charToOper(3), operToChar(3), identExpr(3).